declare type Primitive = string | number | boolean;
export declare class Query {
    private queryObject;
    constructor(queryObject?: object);
    fieldContains(field: string, value: Primitive, not?: boolean): Query;
    fieldIn(field: string, elements: Array<Primitive>, not?: boolean): Query;
    fieldEqual(field: string, value: Primitive, not?: boolean): Query;
    fieldIsNull(field: string, not?: boolean): Query;
    fieldGreaterThan(field: string, value: Primitive, not?: boolean): Query;
    fieldGreaterThanOrEqual(field: string, value: Primitive, not?: boolean): Query;
    fieldLessThan(field: string, value: Primitive, not?: boolean): Query;
    fieldLessThanOrEqual(field: string, value: Primitive, not?: boolean): Query;
    fieldStartsWith(field: string, value: Primitive, not?: boolean): Query;
    fieldEndsWith(field: string, value: Primitive, not?: boolean): Query;
    fieldBetween(field: string, firstValue: string | number, lastValue: string | number, not?: boolean): Query;
    orWhere(...subQueries: Query[]): Query;
    disablePagnination(): Query;
    enablePagnination(): Query;
    setPage(page: number): Query;
    setLimit(limit: number): Query;
    join(relations: string[]): Query;
    select(fields: string[]): Query;
    orderBy(field: string, by: 'ASC' | 'DESC'): Query;
    toString(): string;
    getRawObject(): object;
    private stringifyORCondition;
}
export {};
